Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.util
Class OgnlValueStack.ObjectAccessor

    java.lang.Object
      ognl.ObjectPropertyAccessor
          com.opensymphony.xwork2.util.OgnlValueStack.ObjectAccessor

All Implemented Interfaces:
  ognl.PropertyAccessor

Enclosing class:
  OgnlValueStack

    public static class OgnlValueStack.ObjectAccessor

extends ognl.ObjectPropertyAccessor

Constructor Summary
`OgnlValueStack.ObjectAccessor()`

Method Summary
`Object` | `getProperty(Map map, Object o, Object o1)`
`void` | `setProperty(Map map, Object o, Object o1, Object o2)`

Methods inherited from class ognl.ObjectPropertyAccessor
`getPossibleProperty, hasGetProperty, hasGetProperty, hasSetProperty, hasSetProperty, setPossibleProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OgnlValueStack.ObjectAccessor

    public OgnlValueStack.ObjectAccessor()

Method Detail

### getProperty

    public Object getProperty(Map map,
                              Object o,
                              Object o1)
                       throws ognl.OgnlException

  Specified by:
    `getProperty` in interface `ognl.PropertyAccessor`
  Overrides:
    `getProperty` in class `ognl.ObjectPropertyAccessor`
  Throws:
    `ognl.OgnlException`

### setProperty

    public void setProperty(Map map,
                            Object o,
                            Object o1,
                            Object o2)
                     throws ognl.OgnlException

  Specified by:
    `setProperty` in interface `ognl.PropertyAccessor`
  Overrides:
    `setProperty` in class `ognl.ObjectPropertyAccessor`
  Throws:
    `ognl.OgnlException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.